package com.zcloud.service.bus;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：企业管理
 * 作者：luoxiaobao
 * 时间：2020-12-24
 * 官网：www.zcloudchina.com
 */
public interface MaintenanceUserInfoService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;
	public void saveTrial(PageData pd)throws Exception;
	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;
	public void editIsReceive(PageData pd)throws Exception;
	public void updateISuse(PageData pd)throws Exception;
	public void updateuse(PageData pd)throws Exception;
	public void editStatus(PageData pd)throws Exception;
	public void goStop(PageData pd)throws Exception;
	public void deleteStop(PageData pd)throws Exception;
	public void goFormal(PageData pd)throws Exception;
	public void deleteTrial(PageData pd)throws Exception;

	public PageData findBytrialId(PageData pd)throws Exception;
	public void editStartStatus(PageData pd)throws Exception;
	public void editTrialStatus(PageData pd)throws Exception;
	public void goStart(PageData pd)throws Exception;
	public void deleteStart(PageData pd)throws Exception;
	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;
	public List<PageData> usedCorpList(Page page)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> corplistPage(Page page)throws Exception;
	public List<PageData> corpstoplistPage(Page page)throws Exception;
	public List<PageData> corptriallistPage(Page page)throws Exception;
	public List<PageData> smallAuditlistPage(Page page)throws Exception;
	/**资源库企业列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> resList(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	public PageData findByName(PageData pd);

	public List<PageData>listByCorpType(PageData pd) throws Exception;

	/**
	 * 获取所有的企业个数
	 * @param string
	 * @return
	 * @throws Exception
	 */
	public Integer findCount (String string) throws Exception;

	/**查询所有企业ID
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getAllCorpId(PageData pd)throws Exception;

	/**修改交付信息
	 * @param pd
	 * @throws Exception
	 */
	public void editDeliver(PageData pd)throws Exception;

	/**查询所有交付企业
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findAllUsedCorp(PageData pd)throws Exception;

	/**项目负责人管理-开始部署-修改实施人员
	 * @throws Exception
	 */
    void editImplementPerson(PageData pd) throws Exception;

	/**设置回访
	 * @throws Exception
	 */
	void setVisitConfig(PageData pd)throws Exception;
	/**
	 * 更改四类人员
	 * @return
	 * @throws Exception
	 */
    void changePersonnel(PageData pd) throws Exception;
}

